summaryrefslogtreecommitdiffstats
path: root/tests/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/runtests.sh')
-rw-r--r--tests/runtests.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/runtests.sh b/tests/runtests.sh
new file mode 100644
index 0000000..ff579a3
--- /dev/null
+++ b/tests/runtests.sh
@@ -0,0 +1,19 @@
+echo "Running unit tests:"
+
+for i in tests/*_tests
+do
+ if test -f $i
+ then
+ if $VALGRIND ./$i 2>> tests/tests.log
+ then
+ echo $i PASS
+ else
+ echo "ERROR in test $i: here's tests/tests.log"
+ echo "------"
+ tail tests/tests.log
+ exit 1
+ fi
+ fi
+done
+
+echo ""